org.apache.torque.generator.source.transform.model

## Class PropertyNotReadableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.source.transform.SourceTransformerException
        - - org.apache.torque.generator.source.transform.model.PropertyNotReadableException

- All Implemented Interfaces:
    Serializable

      public class PropertyNotReadableException
      extends SourceTransformerException

  Indicates that an attempt was made to read a property which is not readable.
  Version:
    $Id: $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNotReadableException(Object target, String name)` Constructor.
    `PropertyNotReadableException(Object target, String name, String detail)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNotReadableException

          public PropertyNotReadableException(Object target,
                                              String name)

      Constructor.
      Parameters:
        `target` - the object on which the property was unsuccessfully read.
        `name` - the name of the property which was unsuccessfully read.

    - #### PropertyNotReadableException

          public PropertyNotReadableException(Object target,
                                              String name,
                                              String detail)

      Constructor.
      Parameters:
        `target` - the object on which the property was unsuccessfully read.
        `name` - the name of the property which was unsuccessfully read.
        `detail` - a detail cause which is appended to the error message.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.